M_FREE2(3)

EXPERIMENTAL_FUNC
m_free2 - Free Virtual Memory.

SYNOPSIS
#include <karma_m.h>

void m_free2

(void *ptr)

DESCRIPTION
Free Virtual Memory.

ptr The start of a previously allocated block of memory to be freed. This may be NULL.

RETURN VALUE
Nothing.

Multi-threading Level
Safe.

NOTE
If the environment variable "M_ALLOC_DEBUG" is set to "TRUE" then the routine will print deallocation debugging information.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/